#include <signal.h>
#include <cstdio>
#include <unistd.h>
#include <cstdlib>
#include <iostream>

typedef void (*sighandler_t)(int);

int varglob = 25;
int *padr;

void top(int s) {
  static int nb = 0;
  if ((++nb)%5==0) {
    std::cout << "+";
  } else {
    std::cout << ".";
  }
  // on force l'affichage immédiat
  std::cout.flush();
}



int main(int argc, char* argv[]) {

  sighandler_t res = signal(SIGALRM, top);
  if (res == SIG_ERR) {
    perror("signal ! ");
    exit(1);
  }

  // on déclanche le lancement du signal dans 1 seconde
  alarm(1);
  
  while (1) {
    pause();
    // on déclanche un nouveau lancement de signal
    alarm(1);
  }

  return 0;
}
